# SNIR's minecraft server
## Usage
Game server for the Minecraft game. It includes configurations for server optimization and quality of life. The repository also contains the map, which can be downloaded separately and used independently.

## Requirements
To deploy this instance, you only need to install `docker-compose` and `docker`.

## Installation
To deploy a copy of this instance, you might want to modify where the volumes are pointing to.
Then run

```
docker-compose up -d
```

All necessary images should be downloaded automatically and the service should be started in the background.

## Template deployment
When starting a new instance from the template branch, you need to add your own `server.jar` file to the root of the folder for docker to start the server.

## Minecraft update
When an update is release by Mojang, the `jar` file must be updated and further configuration might be necessary to keep server optimization and quality of life improvements.
